<!-- Creado: Félix Ricardo Oliva Alonso, 19/12/2017. Se crea la vista para el buzón de referencias de pacientes -->
<?php
    use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    $Centro_Sal = trim($Centro_Sal);
    $clues = $var->desencriptar_AES($usuario['clues'], $usuario['x']);
    $clues = trim($clues);
    //echo '['.$clues.'] <br><br>';

    $vCat_EstatusReferencia = $soapclient->vCat_EstatusReferencia($wsClave);
    $vCat_Ref = new SimpleXMLElement(utf8_encode($vCat_EstatusReferencia));

    $ConsultaExterna_getLst_CluesQueReferenciaron = $soapclient->ConsultaExterna_getLst_CluesQueReferenciaron($clues,$wsClave);
    $clues_Ref = new SimpleXMLElement(utf8_encode($ConsultaExterna_getLst_CluesQueReferenciaron));
    //echo $ConsultaExterna_getLst_CluesQueReferenciaron;


?>

@extends('layouts.app')
@section('title', 'Buzón de referencias de pacientes')
@section('styles')
    <style media="screen">
        .alerta{
            color: white;
            font-size: 8.5pt;
            height: 28px;
            padding: 4px 6px 4px 6px;

            border-radius: 3px 3px 3px 3px;
            -moz-border-radius: 3px 3px 3px 3px;
            -webkit-border-radius: 3px 3px 3px 3px;
            border: 0px solid #000000;

            display:flex;
            justify-content:center;
            align-items:center;
        }
        .red{ border-color: #dd4939; background-color:rgba(221, 73, 57, 0.05) }
    </style>
@endsection

@section('content')

    <div class="box box-primary">
        <div class="box-body">

            <div class="row">
                <div class="col-sm-4">
                    <div class="input-group-sm form-group-sm">
                        <label>Centro de Salud</label>
                        <select class="form-control col-md-1" id="clueSol">
                            @foreach ($clues_Ref->respuesta as $cRef)
                                <option value="{!! $cRef->clues !!}">{!! utf8_decode($cRef->nombre_de_la_unidad) !!}</option>
                            @endforeach
                        </select>
                    </div>
                </div>

                <div class="col-sm-2">
                    <div class="input-group-sm form-group-sm">
                        <label>Status</label>
                        <select class="form-control col-md-1" id="status">
                            <option value="">TODAS</option>
                            @foreach ($vCat_Ref->respuesta as $ref)
                                <option value="{!! $ref->id_estatus !!}">{!! utf8_decode($ref->titulo) !!}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
            </div>
            <br>

            <div class="row"><div class="col-sm-3"><label>Fecha</label></div></div>

            <div class="row">
                <div class="col-sm-3">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon" id="sizing-addon3">Del</span>
                        <input type="text" id="fecha_del" class="form-control" placeholder="dd/mm/aaaa"/>
                    </div>
                </div>

                <div class="col-sm-3">
                    <div class="input-group input-group-sm">
                        <span class="input-group-addon" id="sizing-addon3">Al</span>
                        <input type="text" id="fecha_al" class="form-control" placeholder="dd/mm/aaaa"/>
                    </div>
                </div>

                <div class="col-sm-3">
                    <a href="#" id="btn_listar" class="btn btn-sm  btn-sm btn-primary">Buscar</a>
                    <label id="ctrl" style="display:none"></label>
                </div>
            </div>

        </div>
    </div>

    <div class="row">
        <div class="col-md-12" id="contenedor_buzon"></div> {{-- Aquí se insertan las referencias (vista referenciaBuzon ) --}}
    </div>

    <div id="searchContainer"></div> {{-- Aquí se inserta la búsqueda --}}

    {{-- Aquí se inserta el historial de observaciones --}}
    <div id="myModal" class="modal fade" role="dialog">
        <div class="modal-dialog modal-lg">

            <div class="modal-content">
                <div class="modal-header"><h4 class="modal-title text-center alerta atencion" style="background: #3c8dbc;">HISTORIAL DE OBSERVACIONES</h4></div>

                <div class="modal-body">
                    <table style="font-size: 12px; cursor:pointer;" class="table table-hover table-bordered table-striped">
                        <thead>
                            <tr>
                                <th class="text-center solicitudes" colspan="3">REFERENCIA NO. XXXX</th>
                            </tr>
                            <tr>
                                <th>No.</th>
                                <th>Fecha</th>
                                <th>Paciente</th>
                            </tr>
                        </thead>

                        <tbody>
                            <tr>
                                <td>18/12/2017</td>
                                <td>Oscar Rincón</td>
                                <td>Cardiología</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal" >Cerrar</button>
                </div>
            </div>
        </div>
    </div>

    <button style="display:none" id="xx" type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal">Open Modal</button>
    <iframe  width="100%" height="850px" id="output" style="display:none;"></iframe>


@endsection

@section('scripts')

  <script type="text/javascript">

      var jqGetAjax = function (php_url_post, objetoHTML, array_datos) {
          Pace.restart();
          var request = $.ajax({url: php_url_post, method: "POST", data: array_datos, dataType: "html"});
          request.done(function (msg) {
              $("#" + objetoHTML).html(msg);
          });
          request.fail(function (jqXHR, textStatus) {
              $("#" + objetoHTML).html("Request failed: " + textStatus);
          });
      };

      function getView(php_url_post, objetoHTML, array_datos) {
          Pace.restart();
          var request = $.ajax({url: php_url_post, method: "POST", data: array_datos, dataType: "html"});
          request.done(function (msg) {
              $("#" + objetoHTML).append(msg);
          });
          request.fail(function (jqXHR, textStatus) {
              $("#" + objetoHTML).append("Request failed: " + textStatus);
          });
      }


      $(document).ready(function() {
          $('#fecha_del').datepick({dateFormat: 'dd/mm/yyyy'});
          $('#fecha_al').datepick({dateFormat: 'dd/mm/yyyy'});
      });

      $(document).on('click','#btn_listar', function(){
          var fecha_del = $('#fecha_del').val();    var fecha_al = $('#fecha_al').val();
          $('#fecha_del').removeClass('red');       $('#fecha_al').removeClass('red');

          var CLUES = '<?php echo $clues ?>';
          var CLUES_solicitante = $('#clueSol').val();
          var status = $('#status').val();

          if ( fecha_del.length > 0 && fecha_al.length > 0  ) {
              $('#contenedor_buzon').html('');
              getView('contenedor_buzon', 'contenedor_buzon', {
                  CLUES : CLUES,
                  CLUES_solicitante : CLUES_solicitante,
                  status : status,
                  fecha_inicio : fecha_del,
                  fecha_termino : fecha_al
              });
          }
          else {
              $.notify('Rellene todos los campos', "info");
              $('#fecha_del').addClass('red');      $('#fecha_al').addClass('red');
          }

          if      (status == '1')   {rfClass='Aceptadas'}
          else if (status == '2')   {rfClass='Rechazadas'}
          else if (status == '3')   {rfClass='Correcciones'}
          else if (status == '4')   {rfClass='Enviadas'}
          else if (status == '')    {rfClass='Principal'}

          $('#ctrl').html(rfClass);
      });


      $(document).on('click', '#Aceptadas, #Rechazadas, #Correcciones, #Enviadas, #Principal ', function () {
          var rfClass = $(this).attr('id');
          var status = '';

          var fecha_del = $('#fecha_del').val();
          var fecha_al = $('#fecha_al').val();
          var CLUES = '<?php echo $clues ?>';
          var CLUES_solicitante = $('#clueSol').val();

          if      (rfClass == 'Aceptadas')    {status='1'}
          else if (rfClass == 'Rechazadas')   {status='2'}
          else if (rfClass == 'Correcciones') {status='3'}
          else if (rfClass == 'Enviadas')     {status='4'}
          else if (rfClass == 'Principal')    {status=''}

          $('#contenedor_buzon').html('');
          getView('contenedor_buzon', 'contenedor_buzon', {
              CLUES : CLUES,
              CLUES_solicitante : CLUES_solicitante,
              status : status,
              fecha_inicio : fecha_del,
              fecha_termino : fecha_al,
          });
          $('#ctrl').html(rfClass);
        //console.log(  $('#Aceptadas').parents('li').addClass('active') );
      });


      $(document).on('click', '.rEnviadas', function (event) {
          event.stopImmediatePropagation();
          $('#searchContainer').html('');
          getView('asignarcama-busqueda2', 'searchContainer', {
              definirFuncion: 1,
              nocama: '',
              descripcioncama: '',
              tiposervicio: '',
              idtiposervicio: '',
              idespecialidad: '',
              especialidad: '',
              Centro_Sal: '<?php echo $Centro_Sal ?>',
              ban: 1
          });
      });

      $(document).on('click','.rEnviadas .imprimir', function(event){
          event.stopImmediatePropagation();
          pdf();
      });

      $(document).on('click','.observaciones', function(event){
          event.stopImmediatePropagation();
          document.getElementById('xx').click();
      });

      $(document).on('click', '.rAceptadas, .rCorrecciones, .rRechazadas', function (event) {
          event.stopImmediatePropagation();
          jqGetAjax('cerrar', 'searchContainer', {});
      });



      function pdf() {
          var pdf = new jsPDF('portrait', 'pt', 'a4');
          pdf.setFont("helvetica");

          pdf.setFontSize(12);           pdf.text(160, 40, 'SERVICIOS DE SALUD DEL ESTADO DE COLIMA');
          pdf.setFontSize(9);            pdf.text(40, 80, 'Hospital Regional Universitario');
          pdf.setFontSize(9);            pdf.text(40, 90, 'Cita médica de referencia');

          pdf.setDrawColor(150,150,150);
          pdf.setFillColor(220,220,220);

          pdf.rect(480, 25, 75, 15, 'FD'); // filled red square with black borders
          pdf.text(502.5, 35, 'FOLIO');

          pdf.setFillColor(220,220,220);
          pdf.rect(480, 40, 75, 15, 'D'); // filled red square with black borders
          pdf.text(482.5, 51, 'XX1X00X2445');

          var imgData =
          'data:image/jpeg;base64,[encoded data, 10012 characters]'

          pdf.addImage(imgData, 'JPEG', 32, 27, 90, 27);

          var options = {
              theme: 'grid', // 'striped', 'grid' or 'plain'
              startY: 100,
              tableWidth: 'auto',
              showHeader: 'firstPage', // 'everyPage', 'firstPage', 'never',
              tableLineColor: [220, 220, 220],
              tableLineWidth: 1,
              columnStyles: {
                  0: {columnWidth: 120},
                  1: {columnWidth: 'auto'}
              },
              headerStyles: {
                  fillColor: [220, 220, 220],
                  textColor: [0 ,0 ,0],
                  lineWidth: 0.5,
                  lineColor: [220, 220, 220],
                  fontStyle : 'normal',
                  halign: 'left',
                  valign: 'middle',
                  cellPadding : 5,
                  //fontStyle : 'bold'
              },

              styles: {
                  fontSize: 10,
                  overflow: 'linebreak',
                  textColor: [0, 0, 0],
                  lineWidth: 0.5,
                  lineColor: [255, 255, 255],
                  cellPadding : 3,
              },
         };

          var margin = 20;

          var res = pdf.autoTableHtmlToJson(document.getElementById("paciente"), true);
          pdf.autoTable(res.columns, res.data, options);
          var lastPosY = pdf.autoTableEndPosY();
          options.startY = lastPosY + margin;

          var res2 = pdf.autoTableHtmlToJson(document.getElementById("derecho"), true);
          pdf.autoTable(res2.columns, res2.data, options);
          var lastPosY = pdf.autoTableEndPosY();
          options.startY = lastPosY + margin;

          var res3 = pdf.autoTableHtmlToJson(document.getElementById("diag"), true);
          pdf.autoTable(res3.columns, res3.data, options);
          var lastPosY = pdf.autoTableEndPosY();
          options.startY = lastPosY + margin;

          var res4 = pdf.autoTableHtmlToJson(document.getElementById("cita"), true);
          pdf.autoTable(res4.columns, res4.data, options);

          //pdf.autoPrint();
          var iframe = pdf.output('bloburi');
          //$('#output').attr('src', iframe+'#zoom=115&view=Fit');
          //$('#output').show();
          //$('html, body').animate(  { scrollTop: $("#output").offset().top }, 500);
          window.open(pdf.output('bloburl'), '_blank');

      }
  </script>
@endsection
